REST API/TRANSCRIPTS AND AI
Get a transcript
Returns the transcript with timestamps, or a subtitle file.
On this page
GEThttps://api.edithpro.app/v1/recordings/{id}/transcript
Returns 409 conflict while status is processing.
Query parameters #
NameTypeDescription
formatenumjson (default), srt, vtt or txt.
Request #
curl -X GET "https://api.edithpro.app/v1/recordings/{id}/transcript?format=json" \ -H "Authorization: Bearer $EDITHPRO_API_KEY"
Response #
Response · 200 OK · example
{ "recording_id": "rec_8f2kq1", "language": "en", "status": "ready", "segments": [ { "start": 0.0, "end": 4.2, "speaker": "Jane Smith", "text": "So this is the checkout page after applying the coupon." }, { "start": 4.2, "end": 8.9, "speaker": "Jane Smith", "text": "You can see the total still says sixty pounds." } ]}
Was this page helpful? REST API v1 draft · Edit this page